# 82. التحوير: استعادة أحداث الاشتراك

من الجيد دائمًا إتاحة إمكانية استعادة/إعادة فحص أحداث الاشتراك المرسلة مقابل المنتجة. لذلك تقوم GeoPard بتخزين سجل كل أحداث الاشتراك المنتجة لـ **آخر 12 شهرًا**.&#x20;

الحالات الشائعة:&#x20;

* اتصال إنترنت سيئ ولم تُسلم الأحداث
* إعادة نشر مستمع WebSocket
* فحص التناسق بين الأحداث المستلمة مقابل المنتجة

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

مرشحات الإدخال المدعومة:

* `dateFrom` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` كمصفوفة من معرفات UUID لـ"المزرعة" للبحث
* `fieldUuids` كمصفوفة من معرفات UUID لـ"الحقل" للبحث&#x20;
* `userUuids` كمصفوفة من UUIDs للمستخدمين للبحث
* `eventUuids` كمصفوفة من معرفات UUID لأحداث الاشتراك

{% hint style="info" %}
تعمل كل عوامل التصفية كمنطق **AND**.
{% endhint %}

{% hint style="info" %}
كل حدث اشتراك له سمة `executionDate` مرتبطة بلحظة الإرسال بصيغة AWSDateTime المتوافقة مع ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/82.-althwyr-astaadh-ahdath-alashtrak.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
